FLTK 1.3.4: Fl_PostScript_Graphics_Driver Class Reference

FLTK 1.3.4

Public Member Functions | Static Public Attributes | List of all members
Fl_PostScript_Graphics_Driver Class Reference

PostScript graphical backend. More...

`#include <Fl_PostScript.H>`

Inheritance diagram for Fl_PostScript_Graphics_Driver:

## Public Member Functions
void | arc (double x, double y, double r, double start, double a)
| see fl_arc(double x, double y, double r, double start, double end). More...
void | arc (int x, int y, int w, int h, double a1, double a2)
| see fl_arc(int x, int y, int w, int h, double a1, double a2). More...
void | begin_complex_polygon ()
| see fl_begin_complex_polygon(). More...
void | begin_line ()
| see fl_begin_line(). More...
void | begin_loop ()
| see fl_begin_loop(). More...
void | begin_points ()
| see fl_begin_points(). More...
void | begin_polygon ()
| see fl_begin_polygon(). More...
void | circle (double x, double y, double r)
| see fl_circle(double x, double y, double r). More...
const char * | class_name ()
| Returns the name of the class of this object. More...
int | clip_box (int x, int y, int w, int h, int &X, int &Y, int &W, int &H)
| see fl_clip_box(int x, int y, int w, int h, int &X, int &Y, int &W, int &H). More...
int | clocale_printf (const char *format,...)
| Shields output PostScript data from modifications of the current locale. More...
void | color (Fl_Color c)
| see fl_color(Fl_Color c). More...
void | color (uchar r, uchar g, uchar b)
| see fl_color(uchar r, uchar g, uchar b). More...
void | curve (double x, double y, double x1, double y1, double x2, double y2, double x3, double y3)
| see fl_curve(double X0, double Y0, double X1, double Y1, double X2, double Y2, double X3, double Y3). More...
int | descent ()
| see fl_descent(). More...
void | draw (const char *s, int nBytes, int x, int y)
| see fl_draw(const char *str, int n, int x, int y). More...
void | draw (int angle, const char *str, int n, int x, int y)
| see fl_draw(int angle, const char *str, int n, int x, int y). More...
void | draw (Fl_Pixmap *pxm, int XP, int YP, int WP, int HP, int cx, int cy)
| Draws an Fl_Pixmap object to the device. More...
void | draw (Fl_Bitmap *bitmap, int XP, int YP, int WP, int HP, int cx, int cy)
| Draws an Fl_Bitmap object to the device. More...
void | draw (Fl_RGB_Image *rgb, int XP, int YP, int WP, int HP, int cx, int cy)
| Draws an Fl_RGB_Image object to the device. More...
void | draw_image (const uchar *d, int x, int y, int w, int h, int delta=3, int ldelta=0)
| see fl_draw_image(const uchar* buf, int X,int Y,int W,int H, int D, int L). More...
void | draw_image (Fl_Draw_Image_Cb call, void *data, int x, int y, int w, int h, int delta=3)
| see fl_draw_image(Fl_Draw_Image_Cb cb, void* data, int X,int Y,int W,int H, int D). More...
void | draw_image_mono (const uchar *d, int x, int y, int w, int h, int delta=1, int ld=0)
| see fl_draw_image_mono(const uchar* buf, int X,int Y,int W,int H, int D, int L). More...
void | draw_image_mono (Fl_Draw_Image_Cb call, void *data, int x, int y, int w, int h, int delta=1)
| see fl_draw_image_mono(Fl_Draw_Image_Cb cb, void* data, int X,int Y,int W,int H, int D). More...
int | draw_scaled (Fl_Image *img, int XP, int YP, int WP, int HP)
| Draws an Fl_Image scaled to width `W` & height `H` with top-left corner at X,Y. More...
void | end_complex_polygon ()
| see fl_end_complex_polygon(). More...
void | end_line ()
| see fl_end_line(). More...
void | end_loop ()
| see fl_end_loop(). More...
void | end_points ()
| see fl_end_points(). More...
void | end_polygon ()
| see fl_end_polygon(). More...
| Fl_PostScript_Graphics_Driver ()
| The constructor.
void | font (int face, int size)
| see fl_font(Fl_Font face, Fl_Fontsize size). More...
void | gap ()
| see fl_gap(). More...
int | height ()
| see fl_height(). More...
void | line (int x1, int y1, int x2, int y2)
| see fl_line(int x, int y, int x1, int y1). More...
void | line (int x1, int y1, int x2, int y2, int x3, int y3)
| see fl_line(int x, int y, int x1, int y1, int x2, int y2). More...
void | line_style (int style, int width=0, char *dashes=0)
| see fl_line_style(int style, int width, char* dashes). More...
void | loop (int x0, int y0, int x1, int y1, int x2, int y2)
| see fl_loop(int x0, int y0, int x1, int y1, int x2, int y2). More...
void | loop (int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3)
| see fl_loop(int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3). More...
int | not_clipped (int x, int y, int w, int h)
| see fl_not_clipped(int x, int y, int w, int h). More...
void | pie (int x, int y, int w, int h, double a1, double a2)
| see fl_pie(int x, int y, int w, int h, double a1, double a2). More...
void | point (int x, int y)
| see fl_point(int x, int y). More...
void | polygon (int x0, int y0, int x1, int y1, int x2, int y2)
| see fl_polygon(int x0, int y0, int x1, int y1, int x2, int y2). More...
void | polygon (int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3)
| see fl_polygon(int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3). More...
void | pop_clip ()
| see fl_pop_clip(). More...
void | push_clip (int x, int y, int w, int h)
| see fl_push_clip(int x, int y, int w, int h). More...
void | push_no_clip ()
| see fl_push_no_clip(). More...
void | rect (int x, int y, int w, int h)
| see fl_rect(int x, int y, int w, int h). More...
void | rectf (int x, int y, int w, int h)
| see fl_rectf(int x, int y, int w, int h). More...
void | rtl_draw (const char *s, int n, int x, int y)
| see fl_rtl_draw(const char *str, int n, int x, int y). More...
void | text_extents (const char *c, int n, int &dx, int &dy, int &w, int &h)
| see fl_text_extents(const char*, int n, int& dx, int& dy, int& w, int& h). More...
void | transformed_vertex (double x, double y)
| see fl_transformed_vertex(double xf, double yf). More...
void | vertex (double x, double y)
| see fl_vertex(double x, double y). More...
double | width (const char *, int)
| see fl_width(const char *str, int n). More...
double | width (unsigned int u)
| see fl_width(unsigned int n). More...
void | xyline (int x, int y, int x1)
| see fl_xyline(int x, int y, int x1). More...
void | xyline (int x, int y, int x1, int y2)
| see fl_xyline(int x, int y, int x1, int y2). More...
void | xyline (int x, int y, int x1, int y2, int x3)
| see fl_xyline(int x, int y, int x1, int y2, int x3). More...
void | yxline (int x, int y, int y1)
| see fl_yxline(int x, int y, int y1). More...
void | yxline (int x, int y, int y1, int x2)
| see fl_yxline(int x, int y, int y1, int x2). More...
void | yxline (int x, int y, int y1, int x2, int y3)
| see fl_yxline(int x, int y, int y1, int x2, int y3). More...
| ~Fl_PostScript_Graphics_Driver ()
| The destructor. More...
Public Member Functions inherited from Fl_Graphics_Driver
Fl_Color | color ()
| see fl_color(void). More...
Fl_Font | font ()
| see fl_font(void). More...
Fl_Font_Descriptor * | font_descriptor ()
| Returns a pointer to the current Fl_Font_Descriptor for the graphics driver.
void | font_descriptor (Fl_Font_Descriptor *d)
| Sets the current Fl_Font_Descriptor for the graphics driver.
Fl_Fontsize | size ()
| see fl_size(). More...
virtual | ~Fl_Graphics_Driver ()
| The destructor.
Public Member Functions inherited from Fl_Device
virtual | ~Fl_Device ()
| Virtual destructor. More...

## Static Public Attributes
static const char * | class_id = "Fl_PostScript_Graphics_Driver"
Static Public Attributes inherited from Fl_Graphics_Driver
static const char * | class_id = "Fl_Graphics_Driver"
Static Public Attributes inherited from Fl_Device
static const char * | class_id = "Fl_Device"
| A string that identifies each subclass of Fl_Device. More...

## Additional Inherited Members
Protected Member Functions inherited from Fl_Graphics_Driver
Fl_Region | clip_region ()
| see fl_clip_region(). More...
void | clip_region (Fl_Region r)
| see fl_clip_region(Fl_Region r). More...
virtual void | copy_offscreen (int x, int y, int w, int h, Fl_Offscreen pixmap, int srcx, int srcy)
| see fl_copy_offscreen()
| Fl_Graphics_Driver ()
| The constructor. More...
void | mult_matrix (double a, double b, double c, double d, double x, double y)
| see fl_mult_matrix(double a, double b, double c, double d, double x, double y). More...
void | pop_matrix ()
| see fl_pop_matrix(). More...
void | push_matrix ()
| see fl_push_matrix(). More...
void | restore_clip ()
| see fl_restore_clip(). More...
void | rotate (double d)
| see fl_rotate(double d). More...
void | scale (double x, double y)
| see fl_scale(double x, double y). More...
void | scale (double x)
| see fl_scale(double x). More...
double | transform_dx (double x, double y)
| see fl_transform_dx(double x, double y). More...
double | transform_dy (double x, double y)
| see fl_transform_dy(double x, double y). More...
double | transform_x (double x, double y)
| see fl_transform_x(double x, double y). More...
double | transform_y (double x, double y)
| see fl_transform_y(double x, double y). More...
void | translate (double x, double y)
| see fl_translate(double x, double y). More...
Protected Attributes inherited from Fl_Graphics_Driver
matrix * | fl_matrix
| Points to the current coordinate transformation matrix.

## Detailed Description

PostScript graphical backend.

PostScript text uses vectorial fonts when using the FLTK standard fonts
and the latin alphabet or a few other characters listed in the following table. The latin alphabet means all unicode characters between U+0020 and U+017F, or, in other words, the ASCII, Latin-1 Supplement and Latin Extended-A charts.

Char | Codepoint | Name | Char | Codepoint | Name | Char | Codepoint | Name
--- | --- | --- | --- | --- | --- | --- | --- | ---
ƒ | U+0192 | florin | ‚ | U+201A | quotesinglbase | ™ | U+2122 | trademark
ˆ | U+02C6 | circumflex | “ | U+201C | quotedblleft | ∂ | U+2202 | partialdiff
ˇ | U+02C7 | caron | ” | U+201D | quotedblright | Δ | U+2206 | Delta
˘ | U+02D8 | breve | „ | U+201E | quotedblbase | ∑ | U+2211 | summation
˙ | U+02D9 | dotaccent | † | U+2020 | dagger | √ | U+221A | radical
˚ | U+02DA | ring | ‡ | U+2021 | daggerdbl | ∞ | U+221E | infinity
˛ | U+02DB | ogonek | • | U+2022 | bullet | ≠ | U+2260 | notequal
˜ | U+02DC | tilde | … | U+2026 | ellipsis | ≤ | U+2264 | lessequal
˝ | U+02DD | hungarumlaut | ‰ | U+2030 | perthousand | ≥ | U+2265 | greaterequal
– | U+2013 | endash | ‹ | U+2039 | guilsinglleft | ◊ | U+25CA | lozenge
— | U+2014 | emdash | › | U+203A | guilsinglright | ﬁ | U+FB01 | fi
‘ | U+2018 | quoteleft | / | U+2044 | fraction | ﬂ | U+FB02 | fl
’ | U+2019 | quoteright | € | U+20AC | Euro |  | U+F8FF | apple (Mac OS only)

All other unicode characters or all other fonts (FL_FREE_FONT and above) are output as a bitmap.
FLTK standard fonts are output using the corresponding PostScript standard fonts.

## Constructor & Destructor Documentation

## ◆ ~Fl_PostScript_Graphics_Driver()

Fl_PostScript_Graphics_Driver::~Fl_PostScript_Graphics_Driver | ( |  | ) |

The destructor.

## Member Function Documentation

## ◆ arc() [1/2]

void Fl_PostScript_Graphics_Driver::arc | ( | double | x,
|  | double | y,
|  | double | r,
|  | double | start,
|  | double | end
| ) |  |
| virtual

see fl_arc(double x, double y, double r, double start, double end).

Reimplemented from Fl_Graphics_Driver.

## ◆ arc() [2/2]

void Fl_PostScript_Graphics_Driver::arc | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | double | a1,
|  | double | a2
| ) |  |
| virtual

see fl_arc(int x, int y, int w, int h, double a1, double a2).

Reimplemented from Fl_Graphics_Driver.

## ◆ begin_complex_polygon()

void Fl_PostScript_Graphics_Driver::begin_complex_polygon | ( |  | ) |
| inlinevirtual

see fl_begin_complex_polygon().

Reimplemented from Fl_Graphics_Driver.

## ◆ begin_line()

void Fl_PostScript_Graphics_Driver::begin_line | ( |  | ) |
| virtual

see fl_begin_line().

Reimplemented from Fl_Graphics_Driver.

## ◆ begin_loop()

void Fl_PostScript_Graphics_Driver::begin_loop | ( |  | ) |
| virtual

see fl_begin_loop().

Reimplemented from Fl_Graphics_Driver.

## ◆ begin_points()

void Fl_PostScript_Graphics_Driver::begin_points | ( |  | ) |
| virtual

see fl_begin_points().

Reimplemented from Fl_Graphics_Driver.

## ◆ begin_polygon()

void Fl_PostScript_Graphics_Driver::begin_polygon | ( |  | ) |
| virtual

see fl_begin_polygon().

Reimplemented from Fl_Graphics_Driver.

## ◆ circle()

void Fl_PostScript_Graphics_Driver::circle | ( | double | x,
|  | double | y,
|  | double | r
| ) |  |
| virtual

see fl_circle(double x, double y, double r).

Reimplemented from Fl_Graphics_Driver.

## ◆ class_name()

const char* Fl_PostScript_Graphics_Driver::class_name | ( |  | ) |
| inlinevirtual

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_Graphics_Driver.

## ◆ clip_box()

int Fl_PostScript_Graphics_Driver::clip_box | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H
| ) |  |
| virtual

see fl_clip_box(int x, int y, int w, int h, int &X, int &Y, int &W, int &H).

Reimplemented from Fl_Graphics_Driver.

## ◆ clocale_printf()

int Fl_PostScript_Graphics_Driver::clocale_printf | ( | const char * | format,
|  |  | ...
| ) |  |

Shields output PostScript data from modifications of the current locale.

It typically avoids PostScript errors caused if the current locale uses comma instead of dot as "decimal point".

Parameters

  format | directives controlling output PostScript data

Returns
  value returned by vfprintf() call

## ◆ color() [1/2]

void Fl_PostScript_Graphics_Driver::color | ( | Fl_Color | c | ) |
| virtual

see fl_color(Fl_Color c).

Reimplemented from Fl_Graphics_Driver.

## ◆ color() [2/2]

void Fl_PostScript_Graphics_Driver::color | ( | uchar | r,
|  | uchar | g,
|  | uchar | b
| ) |  |
| virtual

see fl_color(uchar r, uchar g, uchar b).

Reimplemented from Fl_Graphics_Driver.

## ◆ curve()

void Fl_PostScript_Graphics_Driver::curve | ( | double | X0,
|  | double | Y0,
|  | double | X1,
|  | double | Y1,
|  | double | X2,
|  | double | Y2,
|  | double | X3,
|  | double | Y3
| ) |  |
| virtual

see fl_curve(double X0, double Y0, double X1, double Y1, double X2, double Y2, double X3, double Y3).

Reimplemented from Fl_Graphics_Driver.

## ◆ descent()

int Fl_PostScript_Graphics_Driver::descent | ( |  | ) |
| virtual

see fl_descent().

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [1/5]

void Fl_PostScript_Graphics_Driver::draw | ( | const char * | str,
|  | int | n,
|  | int | x,
|  | int | y
| ) |  |
| inlinevirtual

see fl_draw(const char *str, int n, int x, int y).

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [2/5]

void Fl_PostScript_Graphics_Driver::draw | ( | int | angle,
|  | const char * | str,
|  | int | n,
|  | int | x,
|  | int | y
| ) |  |
| virtual

see fl_draw(int angle, const char *str, int n, int x, int y).

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [3/5]

void Fl_PostScript_Graphics_Driver::draw | ( | Fl_Pixmap * | pxm,
|  | int | XP,
|  | int | YP,
|  | int | WP,
|  | int | HP,
|  | int | cx,
|  | int | cy
| ) |  |
| virtual

Draws an Fl_Pixmap object to the device.

Specifies a bounding box for the image, with the origin (upper left-hand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [4/5]

void Fl_PostScript_Graphics_Driver::draw | ( | Fl_Bitmap * | bm,
|  | int | XP,
|  | int | YP,
|  | int | WP,
|  | int | HP,
|  | int | cx,
|  | int | cy
| ) |  |
| virtual

Draws an Fl_Bitmap object to the device.

Specifies a bounding box for the image, with the origin (upper left-hand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [5/5]

void Fl_PostScript_Graphics_Driver::draw | ( | Fl_RGB_Image * | rgb,
|  | int | XP,
|  | int | YP,
|  | int | WP,
|  | int | HP,
|  | int | cx,
|  | int | cy
| ) |  |
| virtual

Draws an Fl_RGB_Image object to the device.

Specifies a bounding box for the image, with the origin (upper left-hand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Graphics_Driver.

## ◆ draw_image() [1/2]

void Fl_PostScript_Graphics_Driver::draw_image | ( | const uchar * | buf,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | D = `3`,
|  | int | L = `0`
| ) |  |
| virtual

see fl_draw_image(const uchar* buf, int X,int Y,int W,int H, int D, int L).

Reimplemented from Fl_Graphics_Driver.

## ◆ draw_image() [2/2]

void Fl_PostScript_Graphics_Driver::draw_image | ( | Fl_Draw_Image_Cb | cb,
|  | void * | data,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | D = `3`
| ) |  |
| virtual

see fl_draw_image(Fl_Draw_Image_Cb cb, void* data, int X,int Y,int W,int H, int D).

Reimplemented from Fl_Graphics_Driver.

## ◆ draw_image_mono() [1/2]

void Fl_PostScript_Graphics_Driver::draw_image_mono | ( | const uchar * | buf,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | D = `1`,
|  | int | L = `0`
| ) |  |
| virtual

see fl_draw_image_mono(const uchar* buf, int X,int Y,int W,int H, int D, int L).

Reimplemented from Fl_Graphics_Driver.

## ◆ draw_image_mono() [2/2]

void Fl_PostScript_Graphics_Driver::draw_image_mono | ( | Fl_Draw_Image_Cb | cb,
|  | void * | data,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | D = `1`
| ) |  |
| virtual

see fl_draw_image_mono(Fl_Draw_Image_Cb cb, void* data, int X,int Y,int W,int H, int D).

Reimplemented from Fl_Graphics_Driver.

## ◆ draw_scaled()

int Fl_PostScript_Graphics_Driver::draw_scaled | ( | Fl_Image * | img,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H
| ) |  |
| virtual

Draws an Fl_Image scaled to width `W` & height `H` with top-left corner at X,Y.

Returns
  zero when the graphics driver doesn't implement scaled drawing, non-zero if it does implement it.

Reimplemented from Fl_Graphics_Driver.

## ◆ end_complex_polygon()

void Fl_PostScript_Graphics_Driver::end_complex_polygon | ( |  | ) |
| inlinevirtual

see fl_end_complex_polygon().

Reimplemented from Fl_Graphics_Driver.

## ◆ end_line()

void Fl_PostScript_Graphics_Driver::end_line | ( |  | ) |
| virtual

see fl_end_line().

Reimplemented from Fl_Graphics_Driver.

## ◆ end_loop()

void Fl_PostScript_Graphics_Driver::end_loop | ( |  | ) |
| virtual

see fl_end_loop().

Reimplemented from Fl_Graphics_Driver.

## ◆ end_points()

void Fl_PostScript_Graphics_Driver::end_points | ( |  | ) |
| virtual

see fl_end_points().

Reimplemented from Fl_Graphics_Driver.

## ◆ end_polygon()

void Fl_PostScript_Graphics_Driver::end_polygon | ( |  | ) |
| virtual

see fl_end_polygon().

Reimplemented from Fl_Graphics_Driver.

## ◆ font()

void Fl_PostScript_Graphics_Driver::font | ( | int | face,
|  | int | fsize
| ) |  |
| virtual

see fl_font(Fl_Font face, Fl_Fontsize size).

Reimplemented from Fl_Graphics_Driver.

## ◆ gap()

void Fl_PostScript_Graphics_Driver::gap | ( |  | ) |
| inlinevirtual

see fl_gap().

Reimplemented from Fl_Graphics_Driver.

## ◆ height()

int Fl_PostScript_Graphics_Driver::height | ( |  | ) |
| virtual

see fl_height().

Reimplemented from Fl_Graphics_Driver.

## ◆ line() [1/2]

void Fl_PostScript_Graphics_Driver::line | ( | int | x,
|  | int | y,
|  | int | x1,
|  | int | y1
| ) |  |
| virtual

see fl_line(int x, int y, int x1, int y1).

Reimplemented from Fl_Graphics_Driver.

## ◆ line() [2/2]

void Fl_PostScript_Graphics_Driver::line | ( | int | x,
|  | int | y,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |
| virtual

see fl_line(int x, int y, int x1, int y1, int x2, int y2).

Reimplemented from Fl_Graphics_Driver.

## ◆ line_style()

void Fl_PostScript_Graphics_Driver::line_style | ( | int | style,
|  | int | width = `0`,
|  | char * | dashes = `0`
| ) |  |
| virtual

see fl_line_style(int style, int width, char* dashes).

Reimplemented from Fl_Graphics_Driver.

## ◆ loop() [1/2]

void Fl_PostScript_Graphics_Driver::loop | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |
| virtual

see fl_loop(int x0, int y0, int x1, int y1, int x2, int y2).

Reimplemented from Fl_Graphics_Driver.

## ◆ loop() [2/2]

void Fl_PostScript_Graphics_Driver::loop | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | x3,
|  | int | y3
| ) |  |
| virtual

see fl_loop(int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3).

Reimplemented from Fl_Graphics_Driver.

## ◆ not_clipped()

int Fl_PostScript_Graphics_Driver::not_clipped | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| virtual

see fl_not_clipped(int x, int y, int w, int h).

Reimplemented from Fl_Graphics_Driver.

## ◆ pie()

void Fl_PostScript_Graphics_Driver::pie | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | double | a1,
|  | double | a2
| ) |  |
| virtual

see fl_pie(int x, int y, int w, int h, double a1, double a2).

Reimplemented from Fl_Graphics_Driver.

## ◆ point()

void Fl_PostScript_Graphics_Driver::point | ( | int | x,
|  | int | y
| ) |  |
| virtual

see fl_point(int x, int y).

Reimplemented from Fl_Graphics_Driver.

## ◆ polygon() [1/2]

void Fl_PostScript_Graphics_Driver::polygon | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |
| virtual

see fl_polygon(int x0, int y0, int x1, int y1, int x2, int y2).

Reimplemented from Fl_Graphics_Driver.

## ◆ polygon() [2/2]

void Fl_PostScript_Graphics_Driver::polygon | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | x3,
|  | int | y3
| ) |  |
| virtual

see fl_polygon(int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3).

Reimplemented from Fl_Graphics_Driver.

## ◆ pop_clip()

void Fl_PostScript_Graphics_Driver::pop_clip | ( |  | ) |
| virtual

see fl_pop_clip().

Reimplemented from Fl_Graphics_Driver.

## ◆ push_clip()

void Fl_PostScript_Graphics_Driver::push_clip | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| virtual

see fl_push_clip(int x, int y, int w, int h).

Reimplemented from Fl_Graphics_Driver.

## ◆ push_no_clip()

void Fl_PostScript_Graphics_Driver::push_no_clip | ( |  | ) |
| virtual

see fl_push_no_clip().

Reimplemented from Fl_Graphics_Driver.

## ◆ rect()

void Fl_PostScript_Graphics_Driver::rect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| virtual

see fl_rect(int x, int y, int w, int h).

Reimplemented from Fl_Graphics_Driver.

## ◆ rectf()

void Fl_PostScript_Graphics_Driver::rectf | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| virtual

see fl_rectf(int x, int y, int w, int h).

Reimplemented from Fl_Graphics_Driver.

## ◆ rtl_draw()

void Fl_PostScript_Graphics_Driver::rtl_draw | ( | const char * | str,
|  | int | n,
|  | int | x,
|  | int | y
| ) |  |
| virtual

see fl_rtl_draw(const char *str, int n, int x, int y).

Reimplemented from Fl_Graphics_Driver.

## ◆ text_extents()

void Fl_PostScript_Graphics_Driver::text_extents | ( | const char * | t,
|  | int | n,
|  | int & | dx,
|  | int & | dy,
|  | int & | w,
|  | int & | h
| ) |  |
| virtual

see fl_text_extents(const char*, int n, int& dx, int& dy, int& w, int& h).

Reimplemented from Fl_Graphics_Driver.

## ◆ transformed_vertex()

void Fl_PostScript_Graphics_Driver::transformed_vertex | ( | double | xf,
|  | double | yf
| ) |  |
| virtual

see fl_transformed_vertex(double xf, double yf).

Reimplemented from Fl_Graphics_Driver.

## ◆ vertex()

void Fl_PostScript_Graphics_Driver::vertex | ( | double | x,
|  | double | y
| ) |  |
| virtual

see fl_vertex(double x, double y).

Reimplemented from Fl_Graphics_Driver.

## ◆ width() [1/2]

double Fl_PostScript_Graphics_Driver::width | ( | const char * | str,
|  | int | n
| ) |  |
| virtual

see fl_width(const char *str, int n).

Reimplemented from Fl_Graphics_Driver.

## ◆ width() [2/2]

double Fl_PostScript_Graphics_Driver::width | ( | unsigned int | c | ) |
| virtual

see fl_width(unsigned int n).

Reimplemented from Fl_Graphics_Driver.

## ◆ xyline() [1/3]

void Fl_PostScript_Graphics_Driver::xyline | ( | int | x,
|  | int | y,
|  | int | x1
| ) |  |
| virtual

see fl_xyline(int x, int y, int x1).

Reimplemented from Fl_Graphics_Driver.

## ◆ xyline() [2/3]

void Fl_PostScript_Graphics_Driver::xyline | ( | int | x,
|  | int | y,
|  | int | x1,
|  | int | y2
| ) |  |
| virtual

see fl_xyline(int x, int y, int x1, int y2).

Reimplemented from Fl_Graphics_Driver.

## ◆ xyline() [3/3]

void Fl_PostScript_Graphics_Driver::xyline | ( | int | x,
|  | int | y,
|  | int | x1,
|  | int | y2,
|  | int | x3
| ) |  |
| virtual

see fl_xyline(int x, int y, int x1, int y2, int x3).

Reimplemented from Fl_Graphics_Driver.

## ◆ yxline() [1/3]

void Fl_PostScript_Graphics_Driver::yxline | ( | int | x,
|  | int | y,
|  | int | y1
| ) |  |
| virtual

see fl_yxline(int x, int y, int y1).

Reimplemented from Fl_Graphics_Driver.

## ◆ yxline() [2/3]

void Fl_PostScript_Graphics_Driver::yxline | ( | int | x,
|  | int | y,
|  | int | y1,
|  | int | x2
| ) |  |
| virtual

see fl_yxline(int x, int y, int y1, int x2).

Reimplemented from Fl_Graphics_Driver.

## ◆ yxline() [3/3]

void Fl_PostScript_Graphics_Driver::yxline | ( | int | x,
|  | int | y,
|  | int | y1,
|  | int | x2,
|  | int | y3
| ) |  |
| virtual

see fl_yxline(int x, int y, int y1, int x2, int y3).

Reimplemented from Fl_Graphics_Driver.

The documentation for this class was generated from the following files:

- Fl_PostScript.H
- Fl_PostScript.cxx

- © 1998-2016 by Bill Spitzak and others.